import App from './App.vue'
import messages from './locale/index'

let i18nConfig = {
  locale: uni.getLocale(),
  messages
}

uni.$zp = {
	config: {
		//配置分页默认pageSize为15
		'default-page-size': 5,
		//配置空数据图默认描述文字为：空空如也~~
		'empty-view-text': '暂无数据',
		//...
	}
}

import { createSSRApp } from 'vue'
import { createI18n } from 'vue-i18n'
import { createPinia } from 'pinia'
export const i18n = createI18n(i18nConfig)
export function createApp() {
  const app = createSSRApp(App)
  const pinia = createPinia()
  app.use(pinia)
  app.use(i18n)
  return {
    app
  }
}
